Package org.apache.tomcat.websocket.pojo

# Class PojoMessageHandlerWholeText

java.lang.Object
org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase<String>
org.apache.tomcat.websocket.pojo.PojoMessageHandlerWholeBase<String>
org.apache.tomcat.websocket.pojo.PojoMessageHandlerWholeText

All Implemented Interfaces:
  `MessageHandler`, `MessageHandler.Whole<String>`, `WrappedMessageHandler`

public class PojoMessageHandlerWholeText extends PojoMessageHandlerWholeBase<String>
Text specific concrete implementation for handling whole messages.

## Nested Class Summary

### Nested classes/interfaces inherited from interface jakarta.websocket.MessageHandler

`MessageHandler.Partial<T>, MessageHandler.Whole<T>`

## Field Summary

### Fields inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerWholeBase

`decoders`

### Fields inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase

`convert, indexPayload, indexSession, maxMessageSize, method, params, pojo, session`

## Constructor Summary

Constructors
Constructor
Description
`PojoMessageHandlerWholeText(Object pojo, Method method, Session session, EndpointConfig config, List<Class<? extends Decoder>> decoderClazzes, Object[] params, int indexPayload, boolean convert, int indexSession, long maxMessageSize)`

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`convert(String message)`
`protected Object`
`decode(String message)`

### Methods inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerWholeBase

`createDecoderInstance, onClose, onMessage`

### Methods inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase

`getMaxMessageSize, getWrappedHandler, handlePojoMethodInvocationTargetException, processResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PojoMessageHandlerWholeText

public PojoMessageHandlerWholeText(Object pojo, Method method, Session session, EndpointConfig config, List<Class<? extends Decoder>> decoderClazzes, Object[] params, int indexPayload, boolean convert, int indexSession, long maxMessageSize)

## Method Details

### decode

protected Object decode(String message) throws DecodeException

Specified by:
  `decode` in class `PojoMessageHandlerWholeBase<String>`
Throws:
  `DecodeException`

### convert

protected Object convert(String message)

Overrides:
  `convert` in class `PojoMessageHandlerWholeBase<String>`